Building WebGl fails with 70 wierd errors

Im looking any information regarding this sort of error on webgl builds.

Im on unity 2022.1.0f1

Here is an example of just one of the error messages

8131562--1054904--upload_2022-5-16_15-13-30.png

Trouble sort of start when this commad line is run on wrapper_emcc.bat

CommandLine

"Library/Bee/artifacts/emscripten/chkxd/wrapper_emcc.bat" -D_webgl_ -Wno-warn-absolute-paths -Wno-c++11-extensions -Wno-nonportable-include-path -ffunction-sections -fno-unwind-tables -fomit-frame-pointer -fno-threadsafe-statics -std=c++11 -Wno-#warnings -Wswitch -Wno-trigraphs -Wno-tautological-compare -Wno-invalid-offsetof -Wno-implicitly-unsigned-literal -Wno-integer-overflow -Wno-shift-negative-value -Wno-unknown-attributes -Wno-implicit-function-declaration -Wno-null-conversion -Wno-missing-declarations -Wno-unused-value -Wno-pragma-once-outside-header -fvisibility=hidden -fexceptions -fno-rtti -flto -fno-strict-overflow -ffunction-sections -fdata-sections -fmessage-length=0 -pipe -DBASELIB_INLINE_NAMESPACE=il2cpp_baselib -DIL2CPP_MONO_DEBUGGER_DISABLED -DRUNTIME_IL2CPP -DGC_NOT_DLL -DIL2CPP_DEFAULT_DATA_DIR_PATH=Data -DNDEBUG -I"." -I"C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/external/bdwgc/include" -I"C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/pch" -I"C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp" -I"C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/external/baselib/Include" -I"C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/external/baselib/Platforms/WebGL/Include" -o "Library/Bee/artifacts/WebGL/il2cpp/master_WebGL_wasm/ojt9_stem0.lump.o" -Oz -fcolor-diagnostics -fdiagnostics-absolute-paths -UGC_THREADS -UUSE_MMAP -UUSE_MUNMAP -c -xc++ "Library/Bee/artifacts/WebGL/il2cpp/master_WebGL_wasm/8nl3_System0.lump.cpp"

Custom Environment Variables

EM_CONFIG=C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten.emscripten
EMSDK_PYTHON=C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\python\python.exe
EMCC_SKIP_SANITY_CHECK=1
EM_FROZEN_CACHE=1

ExitCode

1

Output

"Building Library\Bee\artifacts\WebGL\il2cpp\master_WebGL_wasm\f6zf_UnityTls.o failed with output:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:14:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\bit:57:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\limits:105:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\type_traits:417:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\cstddef:37:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:14:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\bit:57:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\limits:105:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\type_traits:418:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:14:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\bit:57:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\limits:121:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:14:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\bit:59:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:642:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\utility:205:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:643:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\memory:653:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\typeinfo:60:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\exception:83:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:643:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\memory:656:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\new:93:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:643:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\memory:659:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\iterator:425:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:643:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\memory:662:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\tuple:154:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:643:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\memory:666:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\atomic:553:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:643:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\memory:668:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:644:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\functional:507:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:274:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__bit_reference:15:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:648:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:4:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\vector:283:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:5:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\string:504:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\string_view:181:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\vm/Runtime.h:5:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\string:517:
D:\BGProjects\BG_IC Frontend\version:1:1: error: expected unqualified-id
0.32.4
^
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/icalls/mscorlib/Mono.Unity/UnityTls.cpp:3:
In file included from C:/Program Files/Unity 2

I'm seeing this error repeatedly in what you've shared:
"error: expected unqualified-id
0.32.4"

But unfortunately, there's not much to go on with only this information. If you open a bug report and attach a repro project, then we can dig into this further and see what is that 0.32.4.

0.32.4 is my project version. I have a VERSION file at the root of the project.
Turns out this causes build to fail.

I removed the VERSION file and the build went through.
Kinda of wierd that one cant have a version file though ?? I would consider it a bug :slight_smile: Im trying to reproduce in a empty template project

[quote=“jcj_bdk”, post:3, topic: 881742]
0.32.4 is my project version. I have a VERSION file at the root of the project.
Turns out this causes build to fail.

I removed the VERSION file and the build went through.
Kinda of wierd that one cant have a version file though ?? I would consider it a bug :slight_smile: Im trying to reproduce in a empty template project
[/quote]

I was able to reproduce by
creating 3D urp project (I dont think it matters whether the project is 3d, 2d, urp or anything else)
Adding a VERSION file in the root of the project.
8133938--1055342--upload_2022-5-17_11-30-53.png

Build to webgl

Building Library\Bee\artifacts\WebGL\il2cpp\master_WebGL_wasm\5j23_data2.lump.o failed with output:
In file included from Library/Bee/artifacts/WebGL/il2cpp/master_WebGL_wasm/del5_metadata2.lump.cpp:6:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/metadata/Il2CppTypeHash.cpp:4:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\utils/StringUtils.h:24:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\il2cpp-string-types.h:6:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\string:504:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\string_view:175:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__string:57:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:639:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\initializer_list:46:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\cstddef:37:
D:\BGProjects\Unity Test Projects\2022\2022_3D_URP\version:1:1: error: expected unqualified-id
0.1.2
^

Also get 100s of weird bee/artifact etc errors just like this, using 2021.3.0

EDIT:

try deleting the Library/Bee/ folder entirely (or delete entire library folder and reimport all) and rebuild and see if it resolves the issues

OR

https://discussions.unity.com/t/865845

[quote=“jcj_bdk”, post:4, topic: 881742]
I was able to reproduce by
creating 3D urp project (I dont think it matters whether the project is 3d, 2d, urp or anything else)
Adding a VERSION file in the root of the project.

Build to webgl

Building Library\Bee\artifacts\WebGL\il2cpp\master_WebGL_wasm\5j23_data2.lump.o failed with output:
In file included from Library/Bee/artifacts/WebGL/il2cpp/master_WebGL_wasm/del5_metadata2.lump.cpp:6:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp/metadata/Il2CppTypeHash.cpp:4:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\utils/StringUtils.h:24:
In file included from C:/Program Files/Unity 2022.1.0f1/Editor/Data/il2cpp/libil2cpp\il2cpp-string-types.h:6:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\string:504:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\string_view:175:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1__string:57:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\algorithm:639:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\initializer_list:46:
In file included from C:\Program Files\Unity 2022.1.0f1\Editor\Data\PlaybackEngines\WebGLSupport\BuildTools\Emscripten\emscripten\cache\sysroot/include/c++/v1\cstddef:37:
D:\BGProjects\Unity Test Projects\2022\2022_3D_URP\version:1:1: error: expected unqualified-id
0.1.2
^

[/quote]

I was able to reproduce it as well, thanks to what you’ve shared, and I created a bug report myself. I’ll share the public issue tracker as soon as it’s generated.

Here's the public issue tracker: https://issuetracker.unity3d.com/issues/web-project-doesnt-build-when-a-version-file-is-included
I added a description just now so it should show up in a little bit.

1 Like

Кароче, моё решение ошибки следующее:
Я перенёс версию Unity на год выше и там поставил Web Gl.
Удаление Library Folder вообще не помогло.
Интересно то, что на этой же версии юнити это не сработало - оно при установке уже качало поломанную версию web gl.

In short, my solution is:
I migrated the Unity version a year higher and installed Web Gl there.
Deleting the Library Folder didn't help.
It is interesting that this did not work on the same version of the unity - during installation it already downloaded a broken version of web gl.

  • follow on my profile, please, if i solved your problem >:3